Grand Master Rains:
The medallion of the Warrior is a token given to those who pass the Test of the Warrior. To take the test, look for Master Aymus of the village of Gludin, who has long been the chief warrior in that place. You know the village of Gludin, right? Follow the road west and you'll come to the village. It's a splendid place with a large port. Look for Master Aymus' guild is in the northern part of the village.
Return